Name:             owasp-esapi-java
Version:          2.1.0
Release:          2%{?dist}
Summary:          OWASP Enterprise Security API
Group:            Development/Libraries
License:          BSD
URL:              http://code.google.com/p/owasp-esapi-java/

# svn export http://owasp-esapi-java.googlecode.com/svn/tags/esapi-2.1.0/ owasp-esapi-java-2.1.0
# tar cafJ owasp-esapi-java-2.0.1.tar.xz owasp-esapi-java-2.1.0
Source0:          owasp-esapi-java-%{version}.tar.xz

# Antisammy is not available
Patch0:           0001-Remove-validator-implementation-bsed-on-Antisammy.patch
# Use different directory in tests
Patch1:           0002-Use-different-directory-to-testing-bin-is-a-symlink.patch
# Missing implementations
Patch2:           0003-Implement-missing-servlet-3.0-methods-in-mock.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    sonatype-oss-parent
BuildRequires:    tomcat-servlet-3.0-api
BuildRequires:    tomcat-jsp-2.2-api
BuildRequires:    tomcat-el-2.2-api
BuildRequires:    bsh
BuildRequires:    junit
BuildRequires:    apache-commons-io
BuildRequires:    apache-commons-collections
BuildRequires:    apache-commons-fileupload

%if 0%{?fedora} >= 21
BuildRequires:    log4j12
%else
BuildRequires:    log4j
%endif

BuildRequires:    xom
BuildRequires:    ecj
BuildRequires:    maven-shared
BuildRequires:    tomcat-jsp-2.2-api

%description
OWASP ESAPI (The OWASP Enterprise Security API) is a free, open source,
web application security control library that makes it easier for programmers
to write lower-risk applications. The ESAPI for Java library is designed to
make it easier for programmers to retrofit security into existing applications.
ESAPI for Java also serves as a solid foundation for new development. 

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%package doc
Summary:          Documentation for %{name}
Group:            Documentation
License:          CC-BY-SA

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

# Plugin not available
%pom_remove_plugin "org.codehaus.mojo:versions-maven-plugin"

# Atisammy not available
%pom_remove_dep "org.owasp.antisamy:antisamy"

%pom_remove_dep ":bsh-core"
%pom_add_dep "org.beanshell:bsh"

sed -i "s|public void testSetCookie()|public void ignoredSetCookie()|" src/test/java/org/owasp/esapi/reference/HTTPUtilitiesTest.java

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" "12"

%pom_remove_dep "javax.servlet:jsp-api"
%pom_add_dep "org.apache.tomcat:tomcat-jsp-api"

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%files doc
%doc documentation/*

%changelog
* Mon Jan 05 2015 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Make sure it builds also for Fedora 20

* Mon Jan 05 2015 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upgrade to 2.1.0

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-12
- xmvn update + switch to junit

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.1-10
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-9
- New guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-7
- Added missing BR
- Skipping one test

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 14 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-4
- Use servlet 3.0

* Wed Oct 10 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-3
- Added two BR

* Wed Oct 10 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.1-2
- Using build-classpath
- Fixed doc subpackage R

* Mon Oct 08 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.1-1
- Initial packaging

